> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice

> Get Invoice

Get invoice details for cross-border payments.


## OpenAPI

````yaml GET /api/v3/cross-boarder/invoice/{referenceId}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://sandbox-api.kotanipay.io
    description: Sandbox
security: []
tags: []
paths:
  /api/v3/cross-boarder/invoice/{referenceId}:
    get:
      tags:
        - CROSS BOARDER
      summary: Get Invoice
      description: Get Invoice
      operationId: FiatToFiatController_getInvoice_api/v3
      parameters:
        - name: referenceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Invoice successfully retrieved
                  data:
                    $ref: '#/components/schemas/GetInvoiceResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid API Key
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    GetInvoiceResponseDto:
      type: object
      properties:
        referenceId:
          type: string
          description: The reference id of the invoice
          example: 1e476673-0931-4eba-8373-37b368ce59f7
        amount:
          type: number
          description: Amount to be paid
          example: John Doe
        currency:
          type: string
          enum:
            - KES
            - GHS
            - NGN
            - ZAR
            - ZAR
            - USD
            - XOF
            - ZMW
            - XAF
            - SLE
            - CDF
            - TZS
            - UGX
            - EGP
            - MWK
            - RWF
            - ETB
            - MZN
            - LSL
            - GNF
            - USDT
            - BTC
            - ETH
            - USDC
          description: Currency of the amount
          example: '+254712345678'
        accountName:
          type: string
          description: The account name of the invoice
          example: John Doe
        address:
          type: string
          description: The address of the invoice
          example: 123 Main St
        phoneNumber:
          type: string
          description: The phone number of the invoice
          example: '+254712345678'
        bankCode:
          type: string
          description: The bank code of the invoice
          example: '123456'
        accountNumber:
          type: string
          description: The account number of the invoice
          example: '1234567890'
        country:
          type: string
          description: The country of the invoice
          example: Kenya
        invoice:
          type: object
          description: The invoice details
          example:
            referenceId: 1e476673-0931-4eba-8373-37b368ce59f7
            invoiceId: 1e476673-0931-4eba-8373-37b368ce59f7
            amount: 1000
            currency: KES
      required:
        - referenceId
        - amount
        - currency
        - accountName
        - address
        - phoneNumber
        - bankCode
        - accountNumber
        - country
        - invoice
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````